package io.renren.service;

import io.renren.entity.SysBranch;

import java.util.List;

/**
 * 部门管理Service接口
 *
 * @author dcsoft
 * @date 2023-03-07
 */
public interface ISysBranchService
{
    /**
     * 查询部门管理
     *
     * @param id 部门管理主键
     * @return 部门管理
     */
    public SysBranch selectSysBranchById(String id);

    /**
     * 查询部门管理列表
     *
     * @param sysBranch 部门管理
     * @return 部门管理集合
     */
    public List<SysBranch> selectSysBranchList(SysBranch sysBranch);

    /**
     * 新增部门管理
     *
     * @param sysBranch 部门管理
     * @return 结果
     */
    public int insertSysBranch(SysBranch sysBranch);

    /**
     * 修改部门管理
     *
     * @param sysBranch 部门管理
     * @return 结果
     */
    public int updateSysBranch(SysBranch sysBranch);

    /**
     * 批量删除部门管理
     *
     * @param ids 需要删除的部门管理主键集合
     * @return 结果
     */
    public int deleteSysBranchByIds(String[] ids);

    /**
     * 删除部门管理信息
     *
     * @param id 部门管理主键
     * @return 结果
     */
    public int deleteSysBranchById(String id);



    /**
     * 构建前端所需要树结构
     *
     * @param branchs 部门列表
     * @return 树结构列表
     */
    public List<SysBranch> buildBranchTree(List<SysBranch> branchs);


    public SysBranch selectSysBranchByDeptId(Long parentId);
}
